| Version: 3.2.5

Public Attributes | List of all members
wxExecuteEnv Struct Reference
Functions and Macros by Category » Process Control

`#include <wx/utils.h>`

## Detailed Description

This structure can optionally be passed to wxExecute() to specify additional options to use for the child process.

Since
  2.9.2

Include file:

    #include <wx/utils.h>

## Public Attributes

wxString | cwd
| The initial working directory for the new process. More...
wxEnvVariableHashMap | env
| The environment variable map. More...

## Member Data Documentation

## ◆ cwd

wxString wxExecuteEnv::cwd

The initial working directory for the new process.

If this field is empty, the current working directory of this process is used.

## ◆ env

wxEnvVariableHashMap wxExecuteEnv::env

The environment variable map.

If the map is empty, the environment variables of the current process are also used for the child one, otherwise only the variables defined in this map are used.